---
name: mfa-authenticator
After:
  - '#coresecurity'
---
SilverStripe\Core\Injector\Injector:
  SilverStripe\Security\Security:
    properties:
      Authenticators:
        default: '%$SilverStripe\MFA\Authenticator\MemberAuthenticator'
---
name: mfa-memberextension
---
SilverStripe\Security\Member:
  extensions:
    mfaExtension: SilverStripe\MFA\Extension\MemberExtension
    accountResetExtension: SilverStripe\MFA\Extension\AccountReset\MemberExtension
SilverStripe\Security\Security:
  extensions:
    accountResetExtension: SilverStripe\MFA\Extension\AccountReset\SecurityExtension
SilverStripe\MFA\Extension\AccountReset\SecurityExtension:
  extensions:
    mfaResetExtension: SilverStripe\MFA\Extension\AccountReset\MFAResetExtension
---
name: mfa-devconfig
Only:
  envvarset: 'BYPASS_MFA'
---
SilverStripe\MFA\Service\EnforcementManager:
  enabled: false
